## org.eclipse.emf.common
Interface EMFPlugin.InternalEclipsePlugin

All Known Implementing Classes:
  ChangeEditPlugin.Implementation, ChangePlugin.Implementation, CodeGenEcorePlugin.Implementation, CodeGenPlugin.Implementation, CommonPlugin.Implementation, CommonUIPlugin.Implementation, ConverterPlugin.Implementation, EclipseUIPlugin, Ecore2EcoreEditorPlugin.Implementation, Ecore2EcorePlugin.Implementation, Ecore2XMLUIPlugin.Implementation, EcoreEditorPlugin.Implementation, EcoreEditPlugin.Implementation, EcoreImporterPlugin.Implementation, EcorePlugin.Implementation, EMFEditPlugin.Implementation, EMFEditUIPlugin.Implementation, EMFPlugin.EclipsePlugin, ExporterPlugin.Implementation, GenModelEditPlugin.Implementation, ImporterPlugin.Implementation, JavaImporterPlugin.Implementation, MappingPlugin.Implementation, RoseImporterPlugin.Implementation, XMIPlugin.Implementation

Enclosing class:
  EMFPlugin

    public static interface EMFPlugin.InternalEclipsePlugin

This just provides a common interface for the Eclipse plugins supported by EMF. It is not considered API and should not be used by clients.

Method Summary
`java.lang.String` `getSymbolicName()`

Method Detail

### getSymbolicName

    java.lang.String getSymbolicName()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.